/* Forrest Heller - convert number to ASCII character*/
module hex_string(input wire [3:0] number, output wire [7:0] hex_string_out);

function [7:0] hex_string_converter(input wire [3:0] number);
	case (number)
		4'h0: hex_string_converter = 8'd48;
		4'h1: hex_string_converter = 8'd49;
		4'h2: hex_string_converter = 8'd50;
		4'h3: hex_string_converter = 8'd51;
		4'h4: hex_string_converter = 8'd52;
		4'h5: hex_string_converter = 8'd53;
		4'h6: hex_string_converter = 8'd54;
		4'h7: hex_string_converter = 8'd55;
		4'h8: hex_string_converter = 8'd56;
		4'h9: hex_string_converter = 8'd57;
		4'hA: hex_string_converter = 8'h61;
		4'hB: hex_string_converter = 8'h62;
		4'hC: hex_string_converter = 8'h63;
		4'hD: hex_string_converter = 8'h64;
		4'hE: hex_string_converter = 8'h65;
		4'hF: hex_string_converter = 8'h66;
		default:
			hex_string_converter = 8'h68;
	endcase
endfunction
	assign hex_string_out = hex_string_converter(number);
endmodule
		
